Bug 8381 - php SRPM will not build if kernel-source RPM not installed
php SRPM will not build if kernel-source RPM not installed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-11 14:12 EST by bjn
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-13 21:40:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bjn 2000-01-11 14:12:05 EST
When building from the php SRPM, during the compile of the embedded
imap-4.5 package, mail.c does an #include <linux/limits.h>, which will fail
if the kernel-source RPM isn't installed.  The work-around is to install
the kernel-source RPM.  The permanent fix is probably to include just plain
<limits.h>, but I didn't try this or look at the source.

Incidentally, why does the php SRPM bundle and build its own imap-4.5
package?  It should just require the imap-4.5 RPM that comes with RedHat,
as a build prerequisite.
Comment 1 Preston Brown 2000-01-13 21:40:59 EST
the next release of php doesn't include imap, instead it accesses the static
c-client library provided from the new imap-devel package.

No library was provided before, so the code was included in the RPM directly.

Note You need to log in before you can comment on or make changes to this bug.